#ifndef ACTUATOR_H
#define ACTUATOR_H

#include "board_config.h"
#include "gd32e23x.h"
#include "stdbool.h"

#define ACTUARTOR_PERIOD_MAX  1000u

void actuator_init(void);

void actuator_output(actuator_channel_t channel, uint16_t duty, actuator_direction_t direction);

void actuator_stop(actuator_channel_t channel);

#endif // ACTUATOR_H